tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fernando González <fergo...@gmail.com>
Subject Re: Tomcat 7.0.28 ignoring context copyXML attribute and web-fragments
Date Mon, 28 Sep 2015 16:16:12 GMT
Upgrading the package solves these issues, but other appear: the xml file
not being actually copied.

"dpkg -s tomcat7" still returns 7.0.28. So it is quite probably not correct
anymore. Now we know that manual installation is the way to go, thanks!

On Mon, Sep 28, 2015 at 9:18 AM, Fernando González <fergonco@gmail.com>
wrote:

> Yeah, normally I install "real Tomcat" but this server is not under my
> control. I'll try to update the Debian package and/or to a manually
> installed one and report back if the issues are gone.
>
> Many many thanks for the hint!
>
> On Mon, Sep 28, 2015 at 2:10 AM, Caldarale, Charles R <
> Chuck.Caldarale@unisys.com> wrote:
>
>> > From: Fernando González [mailto:fergonco@gmail.com]
>> > Subject: Tomcat 7.0.28 ignoring context copyXML attribute and
>> web-fragments
>>
>> > I am using Tomcat 7.0.28 and I am deploying a .war with a context.xml
>> > that sets the copyXML attribute to "true".
>>
>> That version is over three years old and does not include copyXML in a
>> <Context> element.  Not keeping up with current releases opens your website
>> up to attacks fixed in later versions.
>>
>> > when I copy the war to the webapps folder, I get the following
>> > message in catalina.out:
>>
>> > "Setting property 'copyXML' to 'true' did not find a matching property."
>>
>> As you should.
>>
>> > and the context.xml will not be copied to conf/Catalina/localhost/.
>>
>> You can set copyXML in the <Host> element if you insist on running old
>> software.
>>
>> > The o.s. is a Debian 7 and the administrator said he just installed
>> tomcat from the debian
>> > package. The command "dpkg -s tomcat7" gives me version 7.0.28.
>>
>> Which may or may not be correct, since third-party distributions often
>> cherry-pick changes to include, along with generally corrupting the
>> standard Tomcat file layout.
>>
>> I strongly recommend that you deinstall the Debian package and use a
>> current, real Tomcat from tomcat.apache.org.
>>
>>  - Chuck
>>
>>
>> THIS COMMUNICATION MAY CONTAIN CONFIDENTIAL AND/OR OTHERWISE PROPRIETARY
>> MATERIAL and is thus for use only by the intended recipient. If you
>> received this in error, please contact the sender and delete the e-mail and
>> its attachments from all computers.
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
>> For additional commands, e-mail: users-help@tomcat.apache.org
>>
>>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message